%define pkg_name        POE-Component-Client-Keepalive
%define pkg_version     0.1000
%define rpm_pkg_version 0.10_00
%define rpm_pkg_release 1.n0i.9

Summary:       Manage connections, with keep-alive
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RC/RCAPUTO/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POE) >= 0.31
BuildRequires: perl(POE::Component::Client::DNS) >= 0.99


%description
POE::Component::Client::Keepalive creates and manages connections for other
components. It maintains a cache of kept-alive connections for quick reuse.
It is written specifically for clients that can benefit from kept-alive
connections, such as HTTP clients. Using it for one- shot connections would
probably be silly.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.10_00-1.n0i.9.0.1000
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.1000

* Sun Jun 04 2006 Marius Feraru <altblue@n0i.net> - 0.08_01-1.n0i.8.0.0801
- version 0.0801

* Sun May 21 2006 Marius Feraru <altblue@n0i.net> - 0.08-1.n0i.7
- version 0.08

* Sat Apr 01 2006 Marius Feraru <altblue@n0i.net> - 0.07_03-1.n0i.6.0.0703
- version 0.0703

* Mon Mar 27 2006 Marius Feraru <altblue@n0i.net> - 0.07_01-1.n0i.5.0.0701
- version 0.0701

* Fri Feb 03 2006 Marius Feraru <altblue@n0i.net> 0.06-1.n0i.4
- version 0.06

* Fri Sep 16 2005 Marius Feraru <altblue@n0i.net> 0.05-1.n0i.3
- version 0.05

* Wed Aug 03 2005 Marius Feraru <altblue@n0i.net> 0.04-1.n0i.2
- version 0.04

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 0.03-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/0.1
- rebuild on perl 5.8.7
